#!/bin/bash

#Step-0: Delete all backup files (files ending with ~, created by Gedit, emacs)

find . -type f -name '*~' -delete

wait

#Step-1: Run Gerris
for filename in e-zladle* 
do
	mpirun -np 8 gerris3D $filename
	wait
	rm $filename
done

#Step-1a: Clean all ouptut simulation files
for filename in zULeye*
do
	rm $filename
done


#Step-2: Collect all the ULeye-Area Values and Values for Buoyancy Work Done:
rm "ULeye-Area"

for filename in _ULeye_Area* 
do
	awk '{print $3, $5}' < $filename >> ULeye-Area
	wait
	rm $filename
done


#Step-3: Create GIF of Interface snapshots:

convert *.ppm VOF-snapshots.gif

wait

#Step-3a: Clean all the image files:
for filename in *.ppm 
do
	rm $filename
done


echo "Press any key to exit"
read

# Code for Batch Processing: 	Go to terminal, type:  $ ./code-to-run-gerris.sh


